#
# spec file for package python-flake8-quotes
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global skip_python2 1
Name:           python-flake8-quotes
Version:        3.4.0
Release:        1.3
Summary:        Flake8 lint for quotes
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/zheller/flake8-quotes/
Source:         https://files.pythonhosted.org/packages/source/f/flake8-quotes/flake8-quotes-%{version}.tar.gz
BuildRequires:  %{python_module flake8 >= 3.5.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-flake8 >= 3.3.0
BuildArch:      noarch
%python_subpackages

%description
Flake8 Extension to lint for quotes.

%prep
%setup -q -n flake8-quotes-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Tests require access to stdin
%pytest -s -k "not test_stdin" test

%files %{python_files}
%doc README.rst
%license LICENSE
%dir %{python_sitelib}/flake8_quotes
%{python_sitelib}/flake8_quotes/*
%dir %{python_sitelib}/flake8_quotes-%{version}-py*.egg-info
%{python_sitelib}/flake8_quotes-%{version}-py*.egg-info

%changelog
* Mon Mar 25 2024 Dirk Müller <dmueller@suse.com>
- update to 3.4.0:
  * f strings
  * python 3.12 support
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 3.3.2:
  * support flake8 6.0
- drop support-flake8-6.patch (upstream)
* Mon Dec 19 2022 Martin Liška <mliska@suse.cz>
- Add support-flake8-6.patch in order to support flake8 version 6.
* Sat Jan 15 2022 Dirk Müller <dmueller@suse.com>
- update to 3.3.1
  * python 3.9/3.10 added
  * python 2 removed
* Sat Jul 25 2020 Arun Persaud <arun@gmx.de>
- update to version 3.2.0:
  * Fixed mistaking key access as docstring (#99)
  * Added lint checks for main files (#79)
- changes from version 3.1.0:
  * Added quadruple quote ending support (#96)
* Thu Apr 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.0.0:
  * no upstream changelog
* Sat Aug  3 2019 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specifc in %%files section
- update to version 2.1.0:
  * List the defined codes in the README (#85)
* Tue May 21 2019 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 2.0.1
  * We automatically encourage avoiding escaping quotes as per
    PEP 8. To disable this, use --no-avoid-escape (can be used
    in configuration file via avoid-escape).
  * Add note about warning.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 1.0.0
  * Docstring detection
  * requirements-dev: remove tox
  * Remove trailing dot from checker messages
* Tue Feb 20 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.13.1:
  * Added a note about escaping quotes in the doc (#68)
* Sat Dec  9 2017 arun@gmx.de
- update to version 0.13.0:
  * Moved to twine for upload (#62)
  * Run Travis tests on Python 3.4-3.6 (#63)
* Sun Dec  3 2017 arun@gmx.de
- specfile:
  * changed from zip to tar.gz
- update to version 0.12.1:
  * Add a framework classifier (#61)
    Warehouse (pypi.org) allows search results to be filtered by trove
    classifiers.  One such classifier is `Framework`, which accepts
    `Flake8` as a value. Setting the classifier should help people
    find flake8-comprehensions when searching for flake8 plugins.
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to 0.12.0
  * No changelog
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
